package com.ruoyi.ems.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.ems.domain.ElecUseH;

/**
 * 用能计量-小时Service接口
 *
 * @author ruoyi
 * @date 2024-08-15
 */
public interface IElecUseHService {
    /**
     * 查询用能计量-小时
     *
     * @param id 用能计量-小时主键
     * @return 用能计量-小时
     */
    ElecUseH selectElecUseHById(Long id);

    /**
     * 查询用能计量-小时列表
     *
     * @param elecUseH 用能计量-小时
     * @return 用能计量-小时集合
     */
    List<ElecUseH> selectElecUseHList(ElecUseH elecUseH);

    /**
     * 新增用能计量-小时
     *
     * @param elecUseH 用能计量-小时
     * @return 结果
     */
    int insertElecUseH(ElecUseH elecUseH);

    /**
     * 修改用能计量-小时
     *
     * @param elecUseH 用能计量-小时
     * @return 结果
     */
    int updateElecUseH(ElecUseH elecUseH);

    /**
     * 批量删除用能计量-小时
     *
     * @param ids 需要删除的用能计量-小时主键集合
     * @return 结果
     */
    int deleteElecUseHByIds(Long[] ids);

    /**
     * 删除用能计量-小时信息
     *
     * @param id 用能计量-小时主键
     * @return 结果
     */
    int deleteElecUseHById(Long id);

    /**
     * 查询用能和发电量
     */
    List<Map> selectElecAndPower(String areaCode);

    Map<String, List<Map<String, Object>>> selectMonthElecUse(String areaCode);

    List<Map<String, Object>> selectThisDayFacsTypeElecUse(String areaCode);

    Map<String, Object> selectThisDayAreaElecUse(String areaCode);
}
